Gofive OpenAPI
empeoVenioeTaxGo
empeoVenioeTaxGo
  1. Document Management
  • Auth Request
    • Auth Token
      POST
  • Document Management
    • Validate Documents
      • Validate Documents Json
    • Delivery Service
      • Delivery Service Resend
    • Create Document JSON
      POST
    • List Sellers
      GET
    • Create Tax Invoice
      POST
    • Update Tax Invoice
      PUT
    • Create Debit Note
      POST
    • Create Credit Note
      POST
    • Create Invoice
      POST
    • Create Receipt
      POST
    • Create Invoice and Tax Invoice
      POST
    • Create Receipt and Tax Invoice
      POST
    • Create Delivery Order and Tax Invoice
      POST
    • Create Abbreviated Tax Invoice
      POST
    • Create Receipt Abbreviated Tax Invoice
      POST
    • Create Corrected Receipt
      POST
    • Cancel Document
      POST
    • Document Raw Data
      POST
    • Download Document
      POST
    • Get RD Submission Status
      GET
    • Download Document By Id
      GET
    • Get Batch By Id
      GET
    • List Provinces
      GET
    • List Districts
      GET
    • List Sub Districts
      GET
    • List Posts
      GET
  1. Document Management

Create Corrected Receipt

POST
https://api.gofive.co.th/etaxgo/Documents/corrected-receipt
สร้างใบรับแก้ไข (Corrected Receipt) เพื่อแก้ไขข้อมูลในใบรับเดิม
ระบบจะสร้างเอกสารใหม่และเชื่อมโยงกับเอกสารต้นฉบับ

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "documentNo": "T2024001233",
    "refDocumentNo": "T2024001234",
    "reasonCode": "RCTC01",
    "reason": null,
    "createdDate": "2024-01-15T00:00:00",
    "issueDateTime": "2024-01-15T10:30:00",
    "buyerDetail": {
        "taxID": "1234567890123",
        "customerType": "TXID",
        "customerName": "บริษัท เอ็กซแซมเปิ้ล จำกัด",
        "address": "123/45 ถนนตัวอย่าง",
        "subDistrict": "สามเสนใน",
        "district": "พญาไท",
        "province": "กรุงเทพมหานคร",
        "postCode": "10400"
    },
    "mobile": "0812345678",
    "email": "[email protected]",
    "itemProducts": [
        {
            "number": "1",
            "productCode": "P001",
            "quantity": 1,
            "pricePerItem": 1000,
            "discount": 0
        }
    ],
    "discount": {
        "description": "Year End Discount",
        "amount": 0
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/etaxgo/Documents/corrected-receipt' \
--header 'Ocp-Apim-Subscription-Key: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "documentNo": "T2024001233",
    "refDocumentNo": "T2024001234",
    "reasonCode": "RCTC01",
    "reason": null,
    "createdDate": "2024-01-15T00:00:00",
    "issueDateTime": "2024-01-15T10:30:00",
    "buyerDetail": {
        "taxID": "1234567890123",
        "customerType": "TXID",
        "customerName": "บริษัท เอ็กซแซมเปิ้ล จำกัด",
        "address": "123/45 ถนนตัวอย่าง",
        "subDistrict": "สามเสนใน",
        "district": "พญาไท",
        "province": "กรุงเทพมหานคร",
        "postCode": "10400"
    },
    "mobile": "0812345678",
    "email": "[email protected]",
    "itemProducts": [
        {
            "number": "1",
            "productCode": "P001",
            "quantity": 1,
            "pricePerItem": 1000,
            "discount": 0
        }
    ],
    "discount": {
        "description": "Year End Discount",
        "amount": 0
    }
}'

Responses

🟢200
application/json
สร้างสำเร็จ — status.isSuccess = true
Bodyapplication/json

Example
{
    "status": {
        "isSuccess": true
    },
    "data": {
        "newDocumentNumber": "T2024001235",
        "originalDocumentNumber": "T2024001234",
        "correctedAmount": 1070,
        "cancellationReasonCode": "RCTC01",
        "rdSubmissionStatus": "PENDING",
        "createdAt": "2024-01-15T10:30:00"
    }
}
🟠400
🟠401
Modified at 2026-05-28 12:26:14
Previous
Create Receipt Abbreviated Tax Invoice
Next
Cancel Document
Built with